org.eclipse.jdt.launching.sourcelookup

## Class ZipEntryStorage

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage
    - - org.eclipse.jdt.launching.sourcelookup.ZipEntryStorage

All Implemented Interfaces:
  IStorage, IAdaptable

Deprecated.
In 3.0 this class is provided by the debug platform and clients should use the replacement class `org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage`.

    @Deprecated
    public class ZipEntryStorage
    extends ZipEntryStorage

Storage implementation for zip entries.

This class may be instantiated.

Since:
  2.0
See Also:
  `ArchiveSourceLocation`, `IStorage`
Restriction:
  This class is not intended to be sub-classed by clients.

### Constructor Summary

Constructors
Constructor and Description
`ZipEntryStorage(ZipFile archive, ZipEntry entry)` Deprecated. Constructs a new storage implementation for the given zip entry in the specified zip file

### Method Summary

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage

`equals, getArchive, getContents, getFullPath, getName, getZipEntry, hashCode, isReadOnly`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### ZipEntryStorage

    public ZipEntryStorage(ZipFile archive,
                           ZipEntry entry)

Deprecated.
Constructs a new storage implementation for the given zip entry in the specified zip file

Parameters:
  `archive` - zip file
  `entry` - zip entry